VST 3 SDK: FactoryInfo Class Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
FactoryInfo Class Reference

`#include <module.h>`

## Public Types
using | PFactoryInfo = Steinberg::PFactoryInfo

## Public Member Functions
| FactoryInfo () noexcept
| ~FactoryInfo () noexcept
| FactoryInfo (const FactoryInfo &) noexcept=default
| FactoryInfo (PFactoryInfo &&) noexcept
| FactoryInfo (FactoryInfo &&) noexcept=default
FactoryInfo & | operator= (const FactoryInfo &) noexcept=default
FactoryInfo & | operator= (FactoryInfo &&) noexcept
FactoryInfo & | operator= (PFactoryInfo &&) noexcept
std::string | vendor () const noexcept
std::string | url () const noexcept
std::string | email () const noexcept
Steinberg::int32 | flags () const noexcept
bool | classesDiscardable () const noexcept
bool | licenseCheck () const noexcept
bool | componentNonDiscardable () const noexcept
PFactoryInfo & | get () noexcept

## Member Typedef Documentation

## ◆ PFactoryInfo

using PFactoryInfo = Steinberg::PFactoryInfo

## Constructor & Destructor Documentation

## ◆ FactoryInfo() [1/4]

FactoryInfo | ( |  | ) |
| inlinenoexcept

## ◆ ~FactoryInfo()

~FactoryInfo | ( |  | ) |
| inlinenoexcept

## ◆ FactoryInfo() [2/4]

FactoryInfo | ( | const FactoryInfo & |  | ) |
| defaultnoexcept

## ◆ FactoryInfo() [3/4]

FactoryInfo | ( | PFactoryInfo && | other | ) |
| noexcept

## ◆ FactoryInfo() [4/4]

FactoryInfo | ( | FactoryInfo && |  | ) |
| defaultnoexcept

## Member Function Documentation

## ◆ operator=() [1/3]

FactoryInfo & operator= | ( | const FactoryInfo & |  | ) |
| defaultnoexcept

## ◆ operator=() [2/3]

FactoryInfo & operator= | ( | FactoryInfo && | other | ) |
| noexcept

## ◆ operator=() [3/3]

FactoryInfo & operator= | ( | PFactoryInfo && | other | ) |
| noexcept

## ◆ vendor()

std::string vendor | ( |  | ) | const
| noexcept

## ◆ url()

std::string url | ( |  | ) | const
| noexcept

## ◆ email()

std::string email | ( |  | ) | const
| noexcept

## ◆ flags()

Steinberg::int32 flags | ( |  | ) | const
| noexcept

## ◆ classesDiscardable()

bool classesDiscardable | ( |  | ) | const
| noexcept

## ◆ licenseCheck()

bool licenseCheck | ( |  | ) | const
| noexcept

## ◆ componentNonDiscardable()

bool componentNonDiscardable | ( |  | ) | const
| noexcept

## ◆ get()

PFactoryInfo & get | ( |  | ) |
| inlinenoexcept

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.